## ruby-debian 0.3.8

=== debian/changelog ===
ruby-debian (0.3.8) unstable; urgency=low

  * rename package to ruby-debian for new Ruby library package
    naming standards
  * rename git repository and move to collab-maint
  * convert debian/copyright to DEP5 format
    - the license text says version 2 or any later version so point to
      the GPL-2 file instead of the symlink
  * correct hyphens in man page
  * remove unused debian/dh_ruby and debian/fixshbang.sh

 -- Ryan Niebur <ryan@debian.org>  Tue, 20 Dec 2011 19:29:23 -0800

dpkg-ruby (0.3.7) unstable; urgency=low

  [ Francesco Poli (t1000) ]
  * add file name to broken archive exception (Closes: #590146)

  [ Ryan Niebur ]
  * close files once they're parsed (Closes: #585448)
  * Run dh-make-ruby and tweak things:
    - policy 3.9.2
    - move everything into dpkg-ruby package, the rest become
      transitional
    - simplified debian/rules

 -- Ryan Niebur <ryan@debian.org>  Sun, 04 Sep 2011 14:01:11 -0700

dpkg-ruby (0.3.6+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Use StringValuePtr instead of the long-deprecated (and removed in ruby
    1.9.1) STR2CSTR (closes: #593025).

 -- Julien Cristau <jcristau@debian.org>  Thu, 26 Aug 2010 17:43:59 +0200

dpkg-ruby (0.3.6) unstable; urgency=low

  * switch to ruby 1.9.1 (Closes: #565848)

 -- Ryan Niebur <ryan@debian.org>  Fri, 29 Jan 2010 23:22:11 -0800

dpkg-ruby (0.3.5) unstable; urgency=low

  * fix some file leaks (Closes: #564117)

 -- Ryan Niebur <ryan@debian.org>  Sat, 09 Jan 2010 04:29:00 -0800

dpkg-ruby (0.3.4) unstable; urgency=low

  * add myself to d/copyright, thanks to Barry deFreese
  * move Build-Depends-Indep to Build-Depends (Closes: #563450)

 -- Ryan Niebur <ryan@debian.org>  Sun, 03 Jan 2010 12:12:44 -0800

dpkg-ruby (0.3.3) unstable; urgency=low

  * adopt package (Closes: #532927)
  * add Vcs-* fields
  * fix parsing .deb files, thanks to Junichi Uekawa (Closes: #390262)
  * stop using regexps for lists of packages, that doesn't work for
    large numbers (Closes: #552125)
  * rewrite compare_versions to use C bindings to apt-pkg instead of
    forking a dpkg process. this also makes the package arch:any.
    (closes: #390332, #432269)
  * fix README path and move it to libdpkg-ruby1.8 (Closes: 389273)
  * set Standards-Version to 3.8.3
  * clean up a bit, use dh7, etc
  * add a ruby1.9 package (Closes: #528471)
  * if running 'tar -t', filter stderr to remove 'Record size = foo
    blocks' lines

 -- Ryan Niebur <ryan@debian.org>  Fri, 01 Jan 2010 21:11:48 -0800

dpkg-ruby (0.3.2) unstable; urgency=low

  * man/dpkg-checkdeps. fix typo 'packges'
   closes: Bug#351000
  * man/dpkg-ruby.1. fix typos
   closes: Bug#351001
  * man/dpkg.rb.1. fix typo. 
   closes: Bug#351002
  * rename programs without .rb suffixes
    dpkg.rb is shipped as an example only.
    closes: Bug#220934
  * stop building ruby1.6 module
    closes: Bug#366583
  * lib/debian.rb: pkgs_re_escape()
    fix package names with '+' characters cause errors
    closes: Bug#366202
  * lib/debian.rb: fix wrong instance variable usage
    debian.rb:712: warning: instance variable @file not initialized
    closes: Bug#272760
  
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 12 May 2006 02:40:56 +0900

dpkg-ruby (0.3.1) unstable; urgency=low

  * lib/debian.rb: preserve @info['Description']
  * fix description. closes: Bug#192815

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 11 Aug 2004 00:28:35 +0900

dpkg-ruby (0.3.0) unstable; urgency=low

  * ruby1.8 transision
  * multi packaged: libdpkg-ruby1.8 and libdpkg-ruby1.6
  * lib/debian.rb: define Hash.values_at for ruby1.6
  		paren for args for ruby1.8
		use .class instead of .type for ruby1.8
		use Hash.values_at instead of Hash.indexes for ruby1.8
  * lib/debian/ar.rb: paren for args for ruby1.8
  * lib/debian/utils.rb: waitpid
  		redirect by using IO.reopen instead of assignment to $std*
		paren for args for ruby1.8
  * t: fix test program for both ruby1.6 and ruby1.8

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  8 Oct 2003 02:10:23 +0900

dpkg-ruby (0.2.4) unstable; urgency=low

  * Makefile: fix to use $(RUBY) instead of ruby
    closes: Bug#209156

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  8 Sep 2003 13:53:33 +0900

dpkg-ruby (0.2.3) unstable; urgency=low

  * depends on ruby1.6

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  8 Sep 2003 00:16:03 +0900

dpkg-ruby (0.2.2) unstable; urgency=low

  * s/ControlError/FieldError/ closes: Bug#165622

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 26 Oct 2002 03:15:06 +0900

dpkg-ruby (0.2.1) unstable; urgency=low

  * fix for new ruby 1.6.6

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  6 Jan 2002 23:42:50 +0900

dpkg-ruby (0.2) unstable; urgency=low

  * (lib/debian.rb) 
      add Debian::Dep::Term#kind_of?
      add Debian::Deb#deps(relation_field)
  * (bin/dpkg-checkdeps.rb) add --check
  * (man/dpkg-checkdeps.rb.1) add --check

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 16 May 2001 02:41:46 +0900

dpkg-ruby (0.1.1) unstable; urgency=low

  * fix typo in examples

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  3 May 2001 00:11:16 +0900

dpkg-ruby (0.1) unstable; urgency=low

  * Initial Release. closes: Bug#94378

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 29 Apr 2001 01:59:19 +0900

dpkg-ruby (0.0.9.3) unstable; urgency=low

  * Release Candidate 2
  * (lib/debian.rb)
    Deb.unmet takes relation fields parameter
  * (bin/dpkg-checkdeps.rb)
    fix --from wildcard

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 28 Apr 2001 06:41:54 +0900

dpkg-ruby (0.0.9.2) unstable; urgency=low

  * (bin/dpkg-checkdeps.rb)
    support wildcard for --to and --from arguments

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 28 Apr 2001 04:33:33 +0900

dpkg-ruby (0.0.9.1) unstable; urgency=low

  * don't raise exception when E: duplicate package entry
  * (bin/dpkg-checkdeps.rb) 
   - performance tuning
   - change -a option for --arch
   - -A option for --all

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 28 Apr 2001 04:09:01 +0900



## ruby-debian 0.3.8build1

=== debian/changelog ===
ruby-debian (0.3.8build1) precise; urgency=low

  * Rebuild against latest libapt.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 30 Jan 2012 11:40:06 +0100

## ruby-debian 0.3.10build2

=== Makefile ===
#
# Makefile
#
SHELL = /bin/sh
RUBY = ruby
FRUBY = ruby
RM = rm
#### Start of system configuration section. ####
prefix = $(DESTDIR)/usr
bindir = $(prefix)/bin
libdir = $(prefix)/lib/ruby/$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["ruby_version"]')
mandir = $(DESTDIR)/usr/share/man
bins = $(wildcard bin/*)
libs = $(wildcard lib/*.rb)
libs_debian = $(wildcard lib/debian/*.rb)
man1 = $(wildcard man/*.1)

all:
clean:
	@-(cd t; rm -f test.log)
distclean:	clean
realclean:	distclean

install:
	@$(FRUBY) -r ftools -e 'File::makedirs(*ARGV)' $(bindir)
	@$(FRUBY) -r ftools -e 'File::makedirs(*ARGV)' $(libdir)
	@for b in $(bins); do \
	 $(FRUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0755, true)' \
		$$b $(bindir); \
	done
	@for rb in $(libs); do \
	 $(FRUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)'\
		 $$rb $(libdir); \
	done
	@mkdir $(libdir)/debian/
	@for rb in $(libs_debian); do \
	 $(FRUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)'\
		 $$rb $(libdir)/debian; \
	done
	@mkdir -p $(mandir)/man1
	@for m in $(man1); do \
	 $(FRUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' \
		$$m $(mandir)/man1; \
	done

test:
	@(cd t; $(RUBY) testall.rb -o test.log)

## ruby-debian 0.3.8build2

=== debian/changelog ===
ruby-debian (0.3.8build2) trusty; urgency=medium

  * No-change upload to drop dependencies on ruby1.8.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Apr 2014 21:03:48 +0200

=== debian/control ===
Source: ruby-debian
Section: ruby
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.7~), libapt-pkg-dev
Vcs-Git: git://git.debian.org/collab-maint/ruby-debian.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ruby-debian.git;a=summary
Standards-Version: 3.9.2
XS-Ruby-Versions: all

Package: ruby-debian
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Replaces: libdpkg-ruby (<< 0.3.7~), libdpkg-ruby1.8 (<< 0.3.7~), libdpkg-ruby1.9.1 (<< 0.3.7~), dpkg-ruby (<< 0.3.8~)
Breaks: libdpkg-ruby (<< 0.3.7~), libdpkg-ruby1.8 (<< 0.3.7~), libdpkg-ruby1.9.1 (<< 0.3.7~), dpkg-ruby (<< 0.3.8~)
Provides: libdpkg-ruby, libdpkg-ruby1.8, libdpkg-ruby1.9.1, dpkg-ruby
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Description: ruby interface for dpkg
 This package provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes for ruby.
 .
 It also provides two scripts, dpkg-ruby (a dpkg-awk clone) and
 dpkg-checkdeps (a utility to check for deb dependency problems).

Package: dpkg-ruby
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, ruby-debian (>= 0.3.8)
Description: Transitional package for ruby-debian
 This is a transitional package to ease upgrades to the ruby-debian
 package. It can safely be removed.

Package: libdpkg-ruby
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ruby-debian (>= 0.3.8)
Description: Transitional package for ruby-debian
 This is a transitional package to ease upgrades to the ruby-debian
 package. It can safely be removed.

Package: libdpkg-ruby1.8
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ruby-debian (>= 0.3.8)
Description: Transitional package for ruby-debian
 This is a transitional package to ease upgrades to the ruby-debian
 package. It can safely be removed.

Package: libdpkg-ruby1.9.1
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ruby-debian (>= 0.3.8)
Description: Transitional package for ruby-debian
 This is a transitional package to ease upgrades to the ruby-debian
 package. It can safely be removed.

## ruby-debian 0.3.8build3

=== debian/changelog ===
ruby-debian (0.3.8build3) utopic; urgency=medium

  * No-change rebuild for ruby2.0 and ruby2.1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Apr 2014 20:35:36 +0000

## ruby-debian 0.3.9

=== debian/changelog ===
ruby-debian (0.3.9) unstable; urgency=medium

  * Move maintenance into the Ruby team; make the team the maintainer, and
    myself and Ryan as uploaders
  * Drop transitional packages

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 12 Aug 2014 09:51:21 -0300

=== debian/control ===
Source: ruby-debian
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Ryan Niebur <ryan@debian.org>, Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.7~), libapt-pkg-dev
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-debian.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-debian.git;a=summary
Standards-Version: 3.9.5
XS-Ruby-Versions: all

Package: ruby-debian
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Replaces: libdpkg-ruby (<< 0.3.7~), libdpkg-ruby1.8 (<< 0.3.7~), libdpkg-ruby1.9.1 (<< 0.3.7~), dpkg-ruby (<< 0.3.8~)
Breaks: libdpkg-ruby (<< 0.3.7~), libdpkg-ruby1.8 (<< 0.3.7~), libdpkg-ruby1.9.1 (<< 0.3.7~), dpkg-ruby (<< 0.3.8~)
Provides: libdpkg-ruby, libdpkg-ruby1.8, libdpkg-ruby1.9.1, dpkg-ruby
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Description: ruby interface for dpkg
 This package provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes for ruby.
 .
 It also provides two scripts, dpkg-ruby (a dpkg-awk clone) and
 dpkg-checkdeps (a utility to check for deb dependency problems).

## ruby-debian 0.3.9b3

=== debian/changelog ===
ruby-debian (0.3.9b3) staging; urgency=medium

  * No-change rebuild against libapt-pkg5.0

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Mon, 21 Dec 2015 00:34:38 +0100

ruby-debian (0.3.9b2) staging; urgency=high

  * No-change rebuild against libapt-pkg4.16

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 09 Sep 2015 08:09:37 +0000

ruby-debian (0.3.9b1) staging; urgency=high

  * No-change rebuild against libstdc++6

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Sep 2015 12:29:13 +0000

## ruby-debian 0.3.9build3

=== debian/changelog ===
ruby-debian (0.3.9build3) wily; urgency=medium

  * No-change rebuild for libapt-pkg4.16

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 16:51:32 +0200

ruby-debian (0.3.9build2) wily; urgency=medium

  * No-change rebuild to add ruby2.2 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Sep 2015 16:35:39 +0000

ruby-debian (0.3.9build1) wily; urgency=medium

  * No-change rebuild against libapt-pkg4.16

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Aug 2015 18:03:26 +0000

## ruby-debian 0.3.9build6

=== debian/changelog ===
ruby-debian (0.3.9build6) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 21:15:58 +0000

ruby-debian (0.3.9build5) xenial; urgency=medium

  * No-change rebuild to add ruby2.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 12:35:26 +0000

ruby-debian (0.3.9build4) xenial; urgency=medium

  * No-change rebuild for libapt-pkg5.0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Nov 2015 12:22:54 +0100

## ruby-debian 0.3.9build8

=== debian/changelog ===
ruby-debian (0.3.9build8) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:36 +0000

ruby-debian (0.3.9build7) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:02:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ruby-debian
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Ryan Niebur <ryan@debian.org>, Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.7~), libapt-pkg-dev
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-debian.git

## ruby-debian 0.3.9build9

=== debian/changelog ===
ruby-debian (0.3.9build9) eoan; urgency=high

  * No change rebuild against apt 1.9.0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Jun 2019 13:11:05 +0200

## ruby-debian 0.3.9+nmu1

=== debian/changelog ===
ruby-debian (0.3.9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:39:13 +0800

## ruby-debian 0.3.10

=== debian/changelog ===
ruby-debian (0.3.10) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Antonio Terceiro ]
  * Add basic Rakefile to run tests
  * testdsc: port to test/unit
  * t/testar.rb: port to test/unit
  * Rakefile: list legacy tests
  * Remove testall, unnecessary
  * t/testarchives: port to test/unit
  * t/testdep: port to test/unit
  * t/teststatus: port to test/unit
  * t/testdeb.rb: port to test/unit
  * debian/ruby-tests.rake: run tests during build
  * debian/rules: drop comment boilerplate
  * Drop ancient Provides/Replaces/Breaks for dpkg-ruby and libdpkg-ruby*
  * Bump Standards-Version to 4.4.1; no changes needed otherwise
  * Vcs-*: point at salsa.debian.org
  * Add Rules-Requires-Root: no
  * Add Testsuite: field
  * Add gemspec file and install using the Rubygems layout

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Sam Morris ]
  * Silence parser warnings about parentheses after method name
    (Closes: #889651)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 25 Oct 2019 16:48:41 -0300

=== debian/control ===
Source: ruby-debian
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Ryan Niebur <ryan@debian.org>,
           Antonio Terceiro <terceiro@debian.org>,
Build-Depends: debhelper-compat (= 12),
               gem2deb,
               libapt-pkg-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-debian.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-debian
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-debian
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: ruby interface for dpkg
 This package provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes for ruby.
 .
 It also provides two scripts, dpkg-ruby (a dpkg-awk clone) and
 dpkg-checkdeps (a utility to check for deb dependency problems).

## ruby-debian 0.3.10build2

=== debian/changelog ===
ruby-debian (0.3.10build2) focal; urgency=high

  * No change rebuild against apt 2.0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 12 Mar 2020 16:58:11 +0100

ruby-debian (0.3.10build1) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:43 +0000

## ruby-debian 0.3.10build4

=== debian/changelog ===
ruby-debian (0.3.10build4) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 14:11:42 -0300

ruby-debian (0.3.10build3) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Nov 2021 17:32:35 -0300

## ruby-debian 0.3.10build6

=== debian/changelog ===
ruby-debian (0.3.10build6) lunar; urgency=medium

  * No-change upload to remove support for ruby3.0.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 02 Feb 2023 16:04:55 -0300

ruby-debian (0.3.10build5) lunar; urgency=medium

  * No-change upload to add support for ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 23 Jan 2023 14:53:10 -0300

## ruby-debian 0.3.10build8

=== debian/changelog ===
ruby-debian (0.3.10build8) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 02:33:10 -0300

ruby-debian (0.3.10build7) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 02 Feb 2024 00:42:47 -0300

## ruby-debian 0.3.10build10

=== debian/changelog ===
ruby-debian (0.3.10build10) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:56:19 +1100

ruby-debian (0.3.10build9) noble; urgency=medium

  * No-change rebuild against libapt-pkg6.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2024 19:22:39 +0000

## ruby-debian 0.3.10build11

=== debian/changelog ===
ruby-debian (0.3.10build11) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 16 Aug 2024 03:52:47 -0300

## ruby-debian 0.3.10build12

=== debian/changelog ===
ruby-debian (0.3.10build12) plucky; urgency=high

  * No change rebuild against libapt-pkg7.0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Feb 2025 22:47:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ruby-debian
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Ryan Niebur <ryan@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,
 Build-Depends: debhelper-compat (= 12),

## ruby-debian 0.3.10+rpi1

=== debian/changelog ===
ruby-debian (0.3.10+rpi1) bullseye-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 10 Mar 2020 23:29:48 +0000

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_test:
	echo testsuite disabled

## ruby-debian 0.3.10+rpi2

=== debian/changelog ===
ruby-debian (0.3.10+rpi2) bookworm-staging; urgency=medium

  * Try harder to disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 05 Mar 2022 06:01:30 +0000

## ruby-debian 0.3.12

=== debian/changelog ===
ruby-debian (0.3.12) unstable; urgency=medium

  * Team upload

  [ James Lu ]
  * Call 'dpkg --print-architecture' instead of 'dpkg --print-installation-architecture'
    (Closes: #854522)

  [ Antonio Terceiro ]
  * debian/rules: force UTF-8 locale for the build
  * Bump Standards-Version to 4.7.0; no changed needed
  * debian/control: drop obsolete *-Ruby-Versions fields
  * debian/control: replace explicit dependency on ruby with ${ruby:Depends}
  * Remove debian/.gitattributes

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Update standards version to 4.5.0, no changes needed.
  * Remove MIA uploader Ryan Niebur <ryan@debian.org>. Closes: #856365
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 01 Sep 2025 16:24:16 -0300

=== debian/control ===
Source: ruby-debian
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               libapt-pkg-dev
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-debian.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-debian
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: ruby-debian
Architecture: any
Depends: ${ruby:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: ruby interface for dpkg
 This package provides Debian::Dpkg and Debian::DpkgDeb modules and
 Debian::Deb, Debian::Dsc, Debian::Archives, Debian::Sources,
 Debian::Packages and Debian::Status classes for ruby.
 .
 It also provides two scripts, dpkg-ruby (a dpkg-awk clone) and
 dpkg-checkdeps (a utility to check for deb dependency problems).

=== debian/rules ===
#!/usr/bin/make -f

export LANG = C.UTF-8
export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby
